## edu.stanford.nlp.trees.international.french
Class FrenchTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.international.french.FrenchTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory, Serializable

    public class FrenchTreeReaderFactory

extends Object
implements TreeReaderFactory, Serializable

A class for reading French Treebank trees that have been converted from XML to PTB format.

Author:
  Spence Green
See Also:
  Serialized Form

Constructor Summary
`FrenchTreeReaderFactory()`
`FrenchTreeReaderFactory(boolean pennFormat)`

Method Summary
`TreeReader` `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchTreeReaderFactory

    public FrenchTreeReaderFactory()

### FrenchTreeReaderFactory

    public FrenchTreeReaderFactory(boolean pennFormat)

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Description copied from interface: `TreeReaderFactory`
  Create a new `TreeReader` using the provided `Reader`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Stanford NLP Group